package org.apache.struts.upload;

import java.util.Hashtable;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionServlet;

public interface MultipartRequestHandler {
  public static final String ATTRIBUTE_MAX_LENGTH_EXCEEDED = "org.apache.struts.upload.MaxLengthExceeded";
  
  void setServlet(ActionServlet paramActionServlet);
  
  void setMapping(ActionMapping paramActionMapping);
  
  ActionServlet getServlet();
  
  ActionMapping getMapping();
  
  void handleRequest(HttpServletRequest paramHttpServletRequest) throws ServletException;
  
  Hashtable getTextElements();
  
  Hashtable getFileElements();
  
  Hashtable getAllElements();
  
  void rollback();
  
  void finish();
}
